/*   EXTRAITS DE LA LICENCE
	Copyright CEA, contributeurs : Damien
	CALISTE, laboratoire L_Sim, (2001-2009)
  
	Adresse ml :
	CALISTE, damien P caliste AT cea P fr.

	Ce logiciel est un programme informatique servant  visualiser des
	structures atomiques dans un rendu pseudo-3D. 

	Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
	respectant les principes de diffusion des logiciels libres. Vous pouvez
	utiliser, modifier et/ou redistribuer ce programme sous les conditions
	de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
	sur le site "http://www.cecill.info".

	Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
	pris connaissance de la licence CeCILL, et que vous en avez accept les
	termes (cf. le fichier Documentation/licence.fr.txt fourni avec ce logiciel).
*/

/*   LICENCE SUM UP
	Copyright CEA, contributors : Damien
	CALISTE, laboratoire L_Sim, (2001-2009)

	E-mail address:
	CALISTE, damien P caliste AT cea P fr.

	This software is a computer program whose purpose is to visualize atomic
	configurations in 3D.

	This software is governed by the CeCILL  license under French law and
	abiding by the rules of distribution of free software.  You can  use, 
	modify and/ or redistribute the software under the terms of the CeCILL
	license as circulated by CEA, CNRS and INRIA at the following URL
	"http://www.cecill.info". 

	The fact that you are presently reading this means that you have had
	knowledge of the CeCILL license and that you accept its terms. You can
	find a copy of this licence shipped with this software at Documentation/licence.en.txt.
*/

#ifndef EXTRANODE_H
#define EXTRANODE_H

#include <visu_data.h>

/**
 * extraNodeAdd_label:
 * @data: a #VisuData object.
 * 
 * Add the possibility to store labels for nodes.
 */
void extraNodeAdd_label(VisuData *data);
/**
 * extraNodeSet_label:
 * @data: a #VisuData object.
 * @nodeId: the id of a node.
 * @label: the label to set (will be copied).
 *
 * Set a @label to the node @nodeId.
 */
void extraNodeSet_label(VisuData *data, unsigned int nodeId, const gchar *label);
/**
 * extraNodeGet_label:
 * @data: a #VisuData object.
 * @node: a given node
 *
 * Retrieve the label of @node. If @node has no label, NULL is
 * returned.
 *
 * Returns: a label, private value, do not freed.
 */
const gchar* extraNodeGet_label(VisuData *data, VisuNode *node);

#endif
